net.sourceforge.pmd.benchmark

## Interface BenchmarkReport

- All Known Implementing Classes:
    TextReport

      public interface BenchmarkReport

  Author:
    Brian Remedios

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName, PrintStream out)`
    `void` | `generate(Set<RuleDuration> stressResults, PrintStream out)`

- - ### Method Detail

    - #### generate

          void generate(Set<RuleDuration> stressResults,
                      PrintStream out)

      Parameters:
        `stressResults` -
        `out` -

    - #### generate

          void generate(Map<String,net.sourceforge.pmd.benchmark.BenchmarkResult> benchmarksByName,
                      PrintStream out)

      Parameters:
        `benchmarksByName` -
        `out` -

Copyright © 2002-2013 InfoEther. All Rights Reserved.